Subject: Re: [PATCH v2 1/2] completion: Add sequencer function

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Jun 2015 07:38:07 -0700

SZEDER Gábor <[email-masked]> writes:

> I don't see the benefits of this change.  This patch adds more than  
> twice as many lines as it removes, and patch 2/2 adds 8 new lines  
> although it could get away with only 5 without this function.  To  
> offer sequencer options we currently go through a single if statement,  
> with this patch we'd go through a case statement, an if statement and  
> finally an &&.
>
> Gábor

Perhaps, especially given that I'd imagine we won't be adding 47 new
commands that drive the sequencer in the near future ;-)

I presume that you are OK with Thomas's original version, then?